Linksys WUSB54GC usb wlan adapter works fine for a while, then reports a bunch of errors in dmesg

Bug #150272 reported by cmyrland on 2007-10-07
6
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

On Ubuntu Gutsy Gibbon

Device: Linksys WUSB54GC usb wireless network adapter

Chipset: rt73

Driver: rt73usb

Kernel: current is 2.6.22-13-generic, also had the same problem on ...-12-generic

Issue:

When plugging in the device it starts up and runs normally (the only "problem" is that I have to enter WEP key each time).
After some time, it might be one, two or several hours (it seems random to me at the moment, but I'm not sure yet), it simply stops working and throws this error

[22035.479775] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3030 with error -110.
[22035.599724] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3030 with error -110.
[22035.615587] phy0 -> rt73usb_enable_radio: Error - Register initialization failed.

repeatedly until I physically detach the device from the computer and re-insert it. Then it works fine again for some (random) time. Not a major bug, but a quite annoying one anyway.

The reason I think it's random is because it happens at any time, I might be running something through wine, simply chat with pidgin IM, browse the net, listen to music or even be AFK. then it just disconnects.

Anyway, I'm -REALLY- pleased this device is working out-of-the-box now in Gutsy, it did'tin Feisty! :)

cmyrland (carl-rahien) wrote :

Hey, a new error output, too!

[26279.569250] phy1 -> rt73usb_rf_write: Error - PHY_CSR4 register busy. Write failed.

Alexander Jones (alex-weej) wrote :

FWIW, this also affects non-Network Manager installations.

http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?t=4192&postdays=0&postorder=asc&start=0

Some reports of it being fixed in the latest version, but I somehow doubt we'll be seeing a new version until Linux 2.6.24, as it has just been merged into Torvalds' tree and no longer builds against anything older than version 24.

Maybe there's a version newer than the one currently in Gutsy that will build against 22. If so, we should push it, as this is a serious bother for one of the few USB adapters that even works at all with Ubuntu.

Javier Jardón (jjardon) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 134660, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers